%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Summary:        Gtk frontend for git
Name:           giggle
Version:        0.6.1
Release:        %mkrel 1
License:        GPLv2+
Group:          Development/Other
URL:            http://live.gnome.org/giggle
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gdk-3.0) >= 3.0
BuildRequires:	pkgconfig(gdk-pixbuf-2.0) >= 2.22
BuildRequires:	pkgconfig(gio-2.0) >= 2.18
BuildRequires:	pkgconfig(glib-2.0) >= 2.18
BuildRequires:	pkgconfig(gthread-2.0) >= 2.18
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0
BuildRequires:	pkgconfig(gtksourceview-3.0) >= 3.0
BuildRequires:	pkgconfig(libebook-1.2)
BuildRequires:	pkgconfig(vte-2.90) >= 0.26
BuildRequires:	intltool >= 0.40.0
BuildRequires:  git-core
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	xsltproc
BuildRequires:  gnome-common
Requires:       git-core
Requires:       %{libname} >= %version-%release

%description
Giggle is a graphical frontend for the git directory tracker.

%package -n %{libname}
Summary:        %{summary}
Group:          System/Libraries

%description -n %{libname}
Giggle is a graphical frontend for the git directory tracker.

%package -n %{develname}
Summary:        %{summary}
Group:          Development/C
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}

%description -n %{develname}
Giggle is a graphical frontend for the git directory tracker.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std
%find_lang %{name} --with-help

find %{buildroot} -name *.la | xargs rm

%files -f %{name}.lang
%doc AUTHORS README NEWS ChangeLog
%{_bindir}/*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%dir %{_libdir}/%{name}/plugins/%{version}
%{_libdir}/%{name}/plugins/%{version}/libpersonal-details*
%{_libdir}/%{name}/plugins/%{version}/libterminal-view*
%{_libdir}/%{name}/plugins/%{version}/*.xml
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*

%files -n %{libname}
%{_libdir}/libgiggle.so.%{major}*
%{_libdir}/libgiggle-git.so.%{major}*

%files -n %develname
%{_libdir}/libgiggle.so
%{_libdir}/libgiggle-git.so
%{_includedir}/%{name}


%changelog

* Fri Oct 28 2011 fwang <fwang> 0.6.1-1.mga2
+ Revision: 159009
- find help file also
- update br
- br itstool
- new version 0.6.1
- do  not encofre automake
- cleanup spec

  + dmorgan <dmorgan>
    - Rebuild against new evolution-data-server

* Fri Apr 15 2011 obgr_seneca <obgr_seneca> 0.5-3.mga1
+ Revision: 85764
- cleaned up spec file
- removed buildroot tag
- imported package giggle

